Skip to content

Start a checkout session from a payment link

POST
/v1/public/payment-links/{slug}/checkout-sessions
curl --request POST \
--url https://api.feitpay.com/v1/public/payment-links/example/checkout-sessions

Creates a new payment intent and checkout session for each visitor. Rate limited per client IP (burst 10, then one request every 2 s).

slug
required
string

A new payment intent and checkout session for this link.

Media typeapplication/json
object
id
required
string
object
required
string
Allowed value: checkout_session
payment_intent_id
required
string
url
required
string format: uri
status
required
string
Allowed values: open complete expired
livemode
required
boolean
expires_at
required
string format: date-time
created_at
required
string format: date-time

Example

{
"object": "checkout_session",
"status": "open"
}

Resource not found (or not visible to this tenant).

Media typeapplication/json
object
error
required
object
type
required
string
Allowed values: invalid_request_error authentication_error permission_error not_found_error conflict_error idempotency_error rate_limit_error feature_unavailable_error api_error
code
required
string
message
required
string
param
string
request_id
required
string

Example

{
"error": {
"type": "invalid_request_error"
}
}

Too many requests. See Retry-After.

Media typeapplication/json
object
error
required
object
type
required
string
Allowed values: invalid_request_error authentication_error permission_error not_found_error conflict_error idempotency_error rate_limit_error feature_unavailable_error api_error
code
required
string
message
required
string
param
string
request_id
required
string

Example

{
"error": {
"type": "invalid_request_error"
}
}
Retry-After
integer